#!/bin/bash

source "$(dirname "$0")/common-8"
export PATH=/usr/sbin:/usr/bin:/root/bin
TARGET_DIR="/mnt/compose/8"
SHORT=devel
CONFIG=/etc/pungi-prod/rocky-devel.conf
# Unused for now
OLDCOMPOSE_ID=$(cat $TARGET_DIR/latest-Rocky-$SHORT-8/COMPOSE_ID)
SKIP="--skip-phase buildinstall --skip-phase createiso --skip-phase extra_isos --skip-phase productimg"
LABEL="--production --no-label"

CMD="pungi-koji --config=$CONFIG --old-composes=$TARGET_DIR $SKIP $LABEL"
#COMPOSE_ID="Rocky-8-20210625.n.0"

if [ -z "$COMPOSE_ID" ]; then
  CMD="$CMD --target-dir=$TARGET_DIR"
else
  CMD="$CMD --debug-mode --compose-dir=$TARGET_DIR/$COMPOSE_ID"
fi

time $CMD
ret_val=$?

if [[ "$ret_val" != "0" ]]; then
  if [[ "$MAILNOTIF" == "yes" ]]; then
    echo "This is a notification that a recent stable $SHORT compose failed on $(hostname)" | mutt -e "set from=\"$FROM\"" \
        -e 'set envelope_from=yes' \
        -s "Compose $NEWCOMPOSE_ID failed (for Rocky Linux $REVISION)" \
        releng@rockylinux.org
  fi
  exit 1
fi

if [ "$ret_val" -eq 0 ]; then
  pushd "${TARGET_DIR}/latest-Rocky-$SHORT-8/compose/$SHORT" || { echo "Could not switch."; exit 1; }
  if [ -d "i386" ]; then
    echo "Moving i386 to i686"
    mv i386 i686
  fi
  popd || { echo "Could not switch."; exit 1; }
fi
