#!/bin/bash

source "$(dirname "$0")/common-8"
TARGET_DIR="/mnt/compose/8-LookAhead"
SHORT=Extras
CONFIG=/etc/pungi-lh/extras-lh.conf
# Unused for now
OLDCOMPOSE_ID=$(cat $TARGET_DIR/latest-$SHORT-8/COMPOSE_ID)
SKIP="--skip-phase buildinstall --skip-phase createiso --skip-phase extra_isos --skip-phase productimg"
LABEL="--test"
CMD="pungi-koji --config=$CONFIG --old-composes=$TARGET_DIR $OLD_COMPOSES_DIR $SKIP $LABEL"

if [ -z "$COMPOSE_ID" ]; then
  CMD="$CMD --target-dir=$TARGET_DIR"
else
  CMD="$CMD --debug-mode --compose-dir=$TARGET_DIR/$COMPOSE_ID"
fi

time $CMD
ret_val=$?

if [[ "$ret_val" != "0" ]]; then
  if [[ "$MAILNOTIF" == "yes" ]]; then
    echo "This is a notification that a recent lookahead $SHORT compose failed on $(hostname)" | mutt -e "set from=\"$FROM\"" \
        -e 'set envelope_from=yes' \
        -s "Compose $NEWCOMPOSE_ID failed (for Rocky Linux $REVISION)" \
        releng@rockylinux.org
  fi
  exit 1
fi
